Bug 108403 - up2date crashed when alternate download directory specified, libraries now broken
up2date crashed when alternate download directory specified, libraries now br...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
9
i686 Linux
high Severity high
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 120092
  Show dependency treegraph
 
Reported: 2003-10-28 19:27 EST by Craig McCluskey
Modified: 2006-04-22 10:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 10:59:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig McCluskey 2003-10-28 19:27:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624
Netscape/7.1

Description of problem:
Installed RHL9, bought RHN entitlement so I could have a second system kept
up-to-date, ran up2date. When up2date started, I checked the "keep downloaded
binaries" box and typed over the default path (/var/log/up2date) with my desired
path (/home/software/up2date). The updating process continued normally until
after all the RPMs were downloaded into /home/software/up2date. Up2date then
tried to install the RPMs and experienced a fatal error -- it couldn't find the
downloaded RPMs in /var/log/up2date (but they are in /home/software/up2date).

Now running many commands gives me a library error:

[root@fries root]# up2date
/usr/bin/python: relocation error: /lib/i686/libpthread.so.0: symbol _h_errno,
version GLIBC_2.0 not defined in file libc.so.6 with link time reference
                                                                                
[root@fries root]# rpm -qv up2date
rpm: relocation error: /lib/i686/libpthread.so.0: symbol _h_errno, version
GLIBC_2.0 not defined in file libc.so.6 with link time reference
                                                                                
[root@fries root]# redhat-config-packages
python: relocation error: /lib/i686/libpthread.so.0: symbol _h_errno, version
GLIBC_2.0 not defined in file libc.so.6 with link time 
reference

and probably several others I haven't tried.


Version-Release number of selected component (if applicable):
up2date-3.1.23.2-1, I think (rpm is broken)

How reproducible:
Always

Steps to Reproduce:
1. Have up2date crash because it's looking for RPM files in /var/spool/up2date
eventhough it downloaded them to /home/software/up2date. (That's the tricky
part, because the laptop I'm now using does this without crashing -- the
difference is that I used the "..." button to specify the new path instead of
typing in the box next to it.)

2. Try to run up2date, rpm, redhat-config-packages.

    

Actual Results:  Up2date crashed and messed up my system's libraries. Now I
cannot run up2date, rpm, redhat-config-packages, and probably many other things
that use the same libraries.

Expected Results:  The normal updating of files that I have experienced many,
many times.

Additional info:

I can copy files from my (correctly working) laptop to the system with the
messed up libraries, but I don't know which ones would fix the problem.
Comment 1 Craig McCluskey 2003-10-28 20:47:50 EST
Since submitting the bug report, I have logged out of the system with the
up2date problem. It has sat for over half-an-hour with a light blue screen with
a blinking and rotating hour-glass for the mouse pointer.

Typing ctrl-alt-backspace causes the screen to go black for about 3 seconds and
then the blue screen with the hour-glass mouse pointer re-appears.

Thus, the system is totally unusable with X. I can still log in via one of the
alternate consoles, however, and scp does work (so I can copy files from my RHL9
laptop). I hope I don't have to re-install.
Comment 2 Adrian Likins 2003-11-03 15:25:37 EST
The rpm and glibc errors would seem to be unrelated to up2date
(especially since it didnt actually install any packages from your
description). So I'm not sure what could be causing that problem.

I'll take a look at the "storageDir" problem. I assume you
mean "/var/spool/up2date" not "/var/log/up2date". 
Comment 3 Craig McCluskey 2003-11-03 15:32:44 EST
Yes, I do mean /var/log/up2date.

I reinstalled RHL9 on my system (fortunately I have a separate
partition for /usr/local) and everything is working properly now.

When I ran up2date on the re-installed system, I was careful to use
the ... button to specify the alternate file storage location and
up2date ran successfully.
Comment 4 Adrian Likins 2003-11-04 15:12:47 EST
Okay, I'm confused. I'm not sure what "/var/log/up2date" has to 
do with this, since thats the up2date logfile, and is not the default
package download path (thats "/var/spool/up2date"). 

Am I correct in understanding that adding a download path in the
graphical configuration dialog in the "Package Storage Directory"
caused problems where using the file selector dialog did not?
Comment 5 Craig McCluskey 2003-11-04 15:26:03 EST
> Okay, I'm confused.

Boy, did I ever make a mistake!

I really meant to type, "Yes, I do mean /var/spool/up2date," the
default package download path.               ^^^^^
I really did. Honest. :-)

> Am I correct in understanding that adding a download path in the
> graphical configuration dialog in the "Package Storage Directory"
> caused problems where using the file selector dialog did not?

If I understand what you're saying, yes.

I executed up2date --configure and got a window entitled "Red Hat
Configuration" which has three tabs.

Clicking on the middle tab, Retrieval/Installation, will bring up a
window which has at its bottom, Package storage directory. Typing my
new storage path in the window caused the problem. Clicking on the
button with the three dots just to the right and navigating to my new
storage location works properly.
Comment 6 John Thacker 2006-04-22 10:59:12 EDT
up2date is no longer shipped with Fedora Core; it's functionality 
has been replaced by pup, found in the pirut package.  The only fixes 
likely to be made to up2date in RedHat Linux and earlier Fedora Core 
versions are security fixes by Fedora Legacy.  This does not seem to 
be a security bug, so I'm closing it.

If the problem is appropriate to RHEL and occurs to a user there, it 
can be filed as such.

Note You need to log in before you can comment on or make changes to this bug.